Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.dao
Class ScopeStateEnum

    java.lang.Object
      org.apache.ode.bpel.dao.ScopeStateEnum

    public class ScopeStateEnum

extends java.lang.Object

Field Summary
`static ScopeStateEnum` | `ACTIVE` DOCUMENTME
`static ScopeStateEnum` | `COMPENSATED` DOCUMENTME
`static ScopeStateEnum` | `COMPENSATING` DOCUMENTME
`static ScopeStateEnum` | `COMPLETED` DOCUMENTME
`static ScopeStateEnum` | `FAULTED` DOCUMENTME
`static ScopeStateEnum` | `FAULTHANDLER` DOCUMENTME

Constructor Summary
`ScopeStateEnum(java.lang.String name)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ACTIVE

    public static final ScopeStateEnum ACTIVE

  DOCUMENTME

### FAULTED

    public static final ScopeStateEnum FAULTED

  DOCUMENTME

### FAULTHANDLER

    public static final ScopeStateEnum FAULTHANDLER

  DOCUMENTME

### COMPLETED

    public static final ScopeStateEnum COMPLETED

  DOCUMENTME

### COMPENSATING

    public static final ScopeStateEnum COMPENSATING

  DOCUMENTME

### COMPENSATED

    public static final ScopeStateEnum COMPENSATED

  DOCUMENTME

Constructor Detail

### ScopeStateEnum

    public ScopeStateEnum(java.lang.String name)

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD